
Auto Multiple Choice - Feature # 170: Changing font size of options generated by AMCcode

Status: Closed Priority: Normal
Author: Anirvan Sarkar Category:
Created: 05/11/2013 Assignee:
Updated: 08/19/2014 Due date:
Description: One can change the font size of the options generated by AMCcode by directly editing the 

@automultiplechoice.sty@ file. But this edit has to be performed each time AMC is updated. It will be better if 
there is a command for changing the font size.

History
05/12/2013 10:13 am - Alexis Bienvenüe
You mean the digits that are written inside the boxes for a @\AMCcode@? Try something like
<pre>
{\def\AMCchoiceLabelFormat#1{{'{'}}{\small #1}}\AMCcode{id}{8}}
</pre>

05/12/2013 12:51 pm - Anirvan Sarkar
- File AMC-DEBUG-2CqGJDex.log added

- File source.tex added

Alexis Bienvenüe wrote:
> You mean the digits that are written inside the boxes for a @\AMCcode@?
Yes
> Try something like
> @{\def\AMCchoiceLabelFormat#1{{'{'}}{\small #1}}\AMCcode{id}{8}}@

I can't seem to get it work.
I get an error: _Illegal parameter number in definition of \iterate._
If I use only @\AMCcode{id}{8}@ then there is no error.

I have attached the source file and log file.

05/12/2013 01:55 pm - Alexis Bienvenüe
If you use this code inside @\onecopy@, you have to double the @#@:
<pre>
{\def\AMCchoiceLabelFormat##1{{'{'}}{\small ##1}}\AMCcode{id}{8}}
</pre>

05/13/2013 03:57 pm - Anirvan Sarkar
Alexis Bienvenüe wrote:
> If you use this code inside @\onecopy@, you have to double the @#@:

It works now !!!

It will be helpful if you add a note about it in the "Documentation of *Check-box presentation 
style.*":http://home.gna.org/auto-qcm/auto-multiple-choice.en/latex.shtml#idp5901888

07/28/2013 02:57 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Resolved

There is something in the documentation about @\AMCchoiceLabelFormat@ since revision r1267. Note that the documentation that can be found on 
the website is not the more recent one, but sticks with the stable version of AMC.

08/19/2014 06:25 am - Anirvan Sarkar
- Status changed from Resolved to Closed

Files
AMC-DEBUG-2CqGJDex.log 28.1 kB 05/12/2013 Anirvan Sarkar
source.tex 9.9 kB 05/12/2013 Anirvan Sarkar
